spring:
  application:
    name: auth-service
  profiles:
    active: @env@
  devtools:
    livereload:
      enabled: true
server:
  port: 18081
  servlet:
    context-path: /api
springdoc:
  api-docs:
    enabled: true
    path: /v3/api-docs
  default-flat-param-object: true
  swagger-ui:
    path: /swagger-ui.html
    tags-sorter: alpha
    operations-sorter: alpha
  group-configs:
    - group: 'default'
      paths-to-match: '/api/**'
      packages-to-scan: cn.meowrain.aioj.backend.auth.controller
knife4j:
  basic:
    enable: true
  setting:
    language: zh_cn
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath*:/mapper/**/*.xml
jwt:
  enabled: true
  secret: "12345678901234567890123456789012"  # 至少32字节！！
  access-expire: 900000           # 24小时
  refresh-expire: 604800000    # 7天